New JJB files for addon-onap project 05/105/8
authorEby, Robert (re2429) <re2429@att.com>
Tue, 24 Jul 2018 11:32:03 +0000 (07:32 -0400)
committerIndumathi Buddi <ib405q@att.com>
Wed, 25 Jul 2018 21:40:52 +0000 (21:40 +0000)
Change-Id: I13acbfec75c905a1ccf57724721c48d4bd4b9ccd
Signed-off-by: Eby, Robert (re2429) <re2429@att.com>
jjb/addon-onap/addon-onap.yaml [new file with mode: 0644]
jjb/akraino-templates/akraino-jjb-templates.yaml [new file with mode: 0644]
jjb/shell/make-tar.sh [new file with mode: 0644]

diff --git a/jjb/addon-onap/addon-onap.yaml b/jjb/addon-onap/addon-onap.yaml
new file mode 100644 (file)
index 0000000..8f5acee
--- /dev/null
@@ -0,0 +1,41 @@
+---
+#
+# Copyright (c) 2018 AT&T Intellectual Property. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may
+# not use this file except in compliance with the License.
+#
+# You may obtain a copy of the License at
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+- project:
+    name: addon-onap
+    project-name: addon-onap
+    project: addon-onap
+    global-settings-file: global-settings
+    build-node: centos7-builder-2c-1g
+    stream: master
+    maven-repo-url: 'https://nexus.akraino.org'
+    java-version: openjdk8
+    mvn-version: mvn35
+    mvn-opts: ''
+    mvn-params: ''
+    mvn-settings: addon-onap-settings
+    nexus-shapshot-repo: snapshots
+    build-timeout: 60
+    submodule-recursive: true
+    group-id: org.akraino.addon-onap
+    repo-id: snapshots
+    refspec: refs/heads/master
+    branch: master
+    upload-files-dir: '/tmp/tardir'
+    jobs:
+     - akraino-project-stream-release-config
+    views:
+      - common-view
diff --git a/jjb/akraino-templates/akraino-jjb-templates.yaml b/jjb/akraino-templates/akraino-jjb-templates.yaml
new file mode 100644 (file)
index 0000000..f08dcea
--- /dev/null
@@ -0,0 +1,67 @@
+---
+#
+# Copyright (c) 2018 AT&T Intellectual Property. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may
+# not use this file except in compliance with the License.
+#
+# You may obtain a copy of the License at
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+- job-template:
+    id: akraino-project-stream-release-config
+    name: '{project}-{stream}-release-config'
+    project-type: freestyle
+    node: '{build-node}'
+
+    parameters:
+      - lf-infra-parameters:
+          project: '{project}'
+          branch: '{branch}'
+          stream: '{stream}'
+          lftools-version: '{lftools-version}'
+      - lf-infra-maven-parameters:
+          mvn-opts: '{mvn-opts}'
+          mvn-params: '{mvn-params}'
+          mvn-version: '{mvn-version}'
+          staging-profile-id: '{staging-profile-id}'
+
+    scm:
+      - lf-infra-gerrit-scm:
+          jenkins-ssh-credential: '{jenkins-ssh-credential}'
+          git-url: '{git-url}/{project}.git'
+          refspec: '{refspec}'
+          branch: '{branch}'
+          submodule-recursive: '{submodule-recursive}'
+          choosing-strategy: default
+
+    nexus-shapshot-repo: snapshots
+    builders:
+      - lf-maven-install:
+          mvn-version: '{mvn-version}'
+      - lf-update-java-alternatives:
+          java-version: '{java-version}'
+      - lf-provide-maven-settings:
+          global-settings-file: '{global-settings-file}'
+          settings-file: '{mvn-settings}'
+      - lf-infra-create-netrc:
+          server-id: '{mvn-staging-id}'
+      - inject:
+          properties-content: |
+              MAVEN_REPO_URL={maven-repo-url}
+              REPO_ID={repo-id}
+              GROUP_ID={group-id}
+              UPLOAD_FILES_PATH={upload-files-dir}
+              PROJECT={project}
+      - shell: !include-raw-escape:
+          - ../shell/make-tar.sh
+          - ../global-jjb/shell/common-variables.sh
+          - ../global-jjb/shell/lftools-install.sh
+          - ../global-jjb/shell/deploy-maven-file.sh
+      - lf-provide-maven-settings-cleanup
diff --git a/jjb/shell/make-tar.sh b/jjb/shell/make-tar.sh
new file mode 100644 (file)
index 0000000..6d36f0a
--- /dev/null
@@ -0,0 +1,47 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 AT&T Intellectual Property. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#        http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+source $WORKSPACE/version.properties
+TAR_NAME="${PROJECT}-${VERSION}.tgz"
+TARDIR=$UPLOAD_FILES_PATH
+
+set -e -u -x -o pipefail
+rm -fr $TARDIR
+mkdir $TARDIR
+
+if [ "$PROJECT" == "addon-onap" ]
+then
+
+    # ONAP addon is special.
+    # Build the regional controller scripts tar ball
+    ARTIFACT_NAME="onap-amsterdam-regional-controller-master"
+    echo "Making tar file ${TARDIR}/${ARTIFACT_NAME}.tgz"
+    cd ./src/regional_controller_scripts/
+    tar -cvzf ${TARDIR}/${ARTIFACT_NAME}.tgz *
+
+    # Build the ONAP VM scripts tar ball
+    ARTIFACT_NAME="onap-amsterdam-VM-master"
+    echo "Making tar file ${TARDIR}/${ARTIFACT_NAME}.tgz"
+    cd ../onap_vm_scripts/
+    tar -cvzf ${TARDIR}/${ARTIFACT_NAME}.tgz *
+
+else
+
+    echo "Making tar file ${TARDIR}/${TAR_NAME}"
+    tar -cvzf ${TARDIR}/${TAR_NAME} *
+
+fi
+set +u +x
\ No newline at end of file